org.apache.http.entity.mime.content

## Class InputStreamBody

- java.lang.Object
- - org.apache.http.entity.mime.content.AbstractContentBody
  - - org.apache.http.entity.mime.content.InputStreamBody

All Implemented Interfaces:
  ContentBody, ContentDescriptor

    public class InputStreamBody
    extends AbstractContentBody

Binary body part backed by an input stream.

Since:
  4.0
See Also:
  `MultipartEntityBuilder`

### Constructor Summary

Constructors
Constructor and Description
`InputStreamBody(InputStream in, org.apache.http.entity.ContentType contentType)`
`InputStreamBody(InputStream in, org.apache.http.entity.ContentType contentType, String filename)`
`InputStreamBody(InputStream in, String filename)`
`InputStreamBody(InputStream in, String mimeType, String filename)` Deprecated. (4.3) use `InputStreamBody(InputStream, ContentType, String)` or `MultipartEntityBuilder`

### Method Summary

Methods
`long` `getContentLength()` Returns the body descriptors content-length.
`String` `getFilename()`
`InputStream` `getInputStream()`
`String` `getTransferEncoding()` Returns the body descriptors transfer encoding.
`void` `writeTo(OutputStream out)`

### Methods inherited from class org.apache.http.entity.mime.content.AbstractContentBody

`getCharset, getContentType, getMediaType, getMimeType, getSubType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InputStreamBody

    @Deprecated
    public InputStreamBody(InputStream in,
                              String mimeType,
                              String filename)

Deprecated. (4.3) use `InputStreamBody(InputStream, ContentType, String)` or `MultipartEntityBuilder`

Since:
  4.1

#### InputStreamBody

    public InputStreamBody(InputStream in,
                   String filename)

#### InputStreamBody

    public InputStreamBody(InputStream in,
                   org.apache.http.entity.ContentType contentType,
                   String filename)

Since:
  4.3

#### InputStreamBody

    public InputStreamBody(InputStream in,
                   org.apache.http.entity.ContentType contentType)

Since:
  4.3

### Method Detail

#### getInputStream

    public InputStream getInputStream()

#### writeTo

    public void writeTo(OutputStream out)
                 throws IOException

Throws:
  `IOException`

#### getTransferEncoding

    public String getTransferEncoding()

Description copied from interface: `ContentDescriptor`
Returns the body descriptors transfer encoding.

Returns:
  The transfer encoding. Must not be null, but "7bit", if no transfer-encoding was specified.

#### getContentLength

    public long getContentLength()

Description copied from interface: `ContentDescriptor`
Returns the body descriptors content-length.

Returns:
  Content length, if known, or -1, to indicate the absence of a content-length header.

#### getFilename

    public String getFilename()